Send a payment intent
curl --request POST \
--url https://api.request.network/v2/request/payment-intents/{paymentIntentId} \
--header 'Content-Type: application/json' \
--data '
{
"signedPaymentIntent": {
"signature": "<string>",
"nonce": "<string>",
"deadline": "<string>"
}
}
'import requests
url = "https://api.request.network/v2/request/payment-intents/{paymentIntentId}"
payload = { "signedPaymentIntent": {
"signature": "<string>",
"nonce": "<string>",
"deadline": "<string>"
} }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
signedPaymentIntent: {signature: '<string>', nonce: '<string>', deadline: '<string>'}
})
};
fetch('https://api.request.network/v2/request/payment-intents/{paymentIntentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Request
Send a payment intent
Send a payment intent
POST
/
v2
/
request
/
payment-intents
/
{paymentIntentId}
Send a payment intent
Headers
API key for authentication (optional if using Client ID)
Client ID for frontend authentication (optional if using API key)
Origin header (required for Client ID auth, automatically set by browser)
Path Parameters
The payment intent ID
Example:
"01JNZYZPK7B4YBPD44TM72NDNJ"
Body
application/json
Response
Payment intent sent successfully
Was this page helpful?
⌘I